{% extends "lab_7/layout/base.html" %}
{% block content %}
<section name="mahasiswa-list" id="mahasiswa-list">
    <div class="container">
        <div class="row">
            <div class="col-md-8 col-lg-8">
                <h2> Mahasiswa Fasilkom</h2>
                <div class="list-group">
                    {% if mahasiswa_list %}
                        {% for mahasiswa in mahasiswa_list %}
                            <a class="list-group-item clearfix">
                                {{ mahasiswa.nama }} ({{ mahasiswa.npm }})
                                <span class="pull-right"">
                                    <span class="btn btn-xs btn-default" onClick="addFriend('{{ mahasiswa.nama }}', '{{ mahasiswa.npm }}', '{{ mahasiswa.alamat_mhs }}', '{{ mahasiswa.kd_pos_mhs }}', '{{ mahasiswa.kota_lahir }}', '{{ mahasiswa.tgl_lahir }}');">
                                        Tambah sebagai teman
                                    </span>
                                </span>
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada mahasiswa
                        </div>
                    {% endif %}
                        <div class="list-group-item clearfix">
                            <a href='/lab-7/prev-mahasiswa-list/'>prev</a>
                            <a href='/lab-7/next-mahasiswa-list/' style="float: right;">next</a>
                        </div>
                </div>
            </div>
            <div class="col-lg-4">
                <h2> Teman Saya </h2>
                <div class="list-group" id="friend-list">
                    {% if friend_list %}
                        {% for friend in friend_list %}
                            <a class="list-group-item clearfix">
                                {{ friend.friend_name }} ({{ friend.npm }})
                            </a>
                        {% endfor %}
                    {% else %}
                        <div class="alert alert-danger text-center">
                            <strong>Opps!</strong> Tidak ada teman
                        </div>
                    {% endif %}
                </div>
                <form id="add-friend" action="#">
                    {% csrf_token %}
                    <label for="field_npm">NPM:</label>
                    <input id="field_npm" required="required" type="text" name="npm" class="form-control"/>
                    <label for="field_name">Nama</label>
                    <input id="field_name" required="required" type="text" name="name" class="form-control"/>
                    <label for="field_alamat">Alamat</label>
                    <input id="field_alamat" required="required" type="text" name="alamat" class="form-control"/>
                    <label for="field_pos">Kode Pos</label>
                    <input id="field_pos" type="text" name="npm" class="form-control"/>
                    <label for="field_kota">Kota Tempat Lahir</label>
                    <input id="field_kota" type="text" name="name" class="form-control"/>
                    <label for="field_tanggal">Tanggal Lahir</label>
                    <input id="field_tanggal" type="text" name="alamat" class="form-control"/>
                    <button type="submit">Tambah</button>
                </form>
                <a href="/lab-7/get-friend-list/"><button style="margin-top: 40px;">Lihat Daftar Teman</button></a>
            </div>
        </div>
    </div>
</section>
{% endblock %}
{% block javascript %}
<script>
    var addFriend = function(nama, npm, alamat, pos, kota, tanggal) {
        $.ajax({
            method: "POST",
            url: '{% url "lab-7:add-friend" %}',
            data: { name: nama, npm: npm, alamat: alamat, pos: pos, kota: kota, tanggal: tanggal},
            dataType: 'json',
            success : function (friend) {
                console.log(alamat)
                html = '<a class="list-group-item clearfix">' +
                    friend.friend_name + " (" + friend.npm + ")" +
                    '</a>';
                $("#friend-list").append(html);
            },
            error : function (error) {
                alert("Mahasiswa tersebut sudah ditambahkan sebagai teman")
            }
        });
    };

    $("#add-friend").on("submit", function () {
       name = $("#field_name").val()
       npm = $("#field_npm").val()
       alamat = $("#field_alamat").val()
       pos = $("#field_pos").val()
       if (pos === ""){
        pos = "None";
       }
       kota = $("#field_kota").val()
       if (kota === ""){
        kota = "None";
       }
       tanggal = $("#field_tanggal").val()
       if (tanggal === ""){
        tanggal = "None";
       }
        addFriend(name, npm, alamat, pos, kota, tanggal)
        event.preventDefault();
    });

    $("#field_npm").change(function () {
        console.log( $(this).val() );
        npm = $(this).val();
        $.ajax({
            method: "POST",
            url: '{% url "lab-7:validate-npm" %}',
            data: {
                'npm': npm,
            },
            dataType: 'json',
            success: function (data) {
                console.log(data)
                if (data.is_taken) {
                    alert("Mahasiswa dengan npm seperti ini sudah ada");
                }
            }
        });
    });
</script>
{% endblock %}
